commit:     3d57bc5a46510156ca1d1042f4b2dea0be79416e
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  1 23:06:26 2023 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Wed Feb  1 23:08:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d57bc5a

dev-python/pyopencl: add 2022.3.1

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 dev-python/pyopencl/Manifest                 |  1 +
 dev-python/pyopencl/pyopencl-2022.3.1.ebuild | 70 ++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/pyopencl/Manifest b/dev-python/pyopencl/Manifest
index 29e14c0bab22..8c6ff082a610 100644
--- a/dev-python/pyopencl/Manifest
+++ b/dev-python/pyopencl/Manifest
@@ -1 +1,2 @@
 DIST pyopencl-2022.2.4.tar.gz 468743 BLAKE2B 
52c0d1bfc1f01eef853efb334434eba81adfaa57d98592663145b3124110765f2afa936331e36b534abadf8d87a5c606ab32ab4452e0b8e87f1ee41c1ef2548c
 SHA512 
b1996dec89a6921216d624e5e38407dd7ada77f137e9c245f9c2dd634dd33d208ffdad57f84739e7942c64643c37ea2d044277fed85eefb362bbc331f4be3ab0
+DIST pyopencl-2022.3.1.tar.gz 470441 BLAKE2B 
86ec602f3d73a64e34fe77b7985e64db332a685b33231ad7832d7e864f3170e3eee0aed42742b9892f7950a0f672a736e169ccd0ca08a124b7f20738b348dbff
 SHA512 
57944de69bb24f0f22fb2c0165cd4de5265f5329246fead8449d26e6cbe1204fd44ced70df9960aa54e7d285abe81d8f8a802ba62309de5f4865e882177025ae

diff --git a/dev-python/pyopencl/pyopencl-2022.3.1.ebuild 
b/dev-python/pyopencl/pyopencl-2022.3.1.ebuild
new file mode 100644
index 000000000000..ca30dc274779
--- /dev/null
+++ b/dev-python/pyopencl/pyopencl-2022.3.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Python wrapper for OpenCL"
+HOMEPAGE="https://mathema.tician.de/software/pyopencl/
+       https://pypi.org/project/pyopencl/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="examples opengl"
+
+# Running tests on GPUs requires both appropriate hardware and additional 
permissions
+# having been granted to the user running them. Testing on CPUs with 
dev-libs/pocl
+# is in theory possible but has been found to be very fragile, see e.g. Bug 
#872308.
+RESTRICT="test"
+
+COMMON=">=virtual/opencl-2"
+# libglvnd is only needed for the headers
+DEPEND="${COMMON}
+       opengl? ( media-libs/libglvnd )"
+RDEPEND="${COMMON}
+       >=dev-python/mako-0.3.6[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pytools-2021.2.7[${PYTHON_USEDEP}]"
+BDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+       >=dev-python/pybind11-2.5.0[${PYTHON_USEDEP}]
+       test? ( dev-libs/pocl )"
+
+distutils_enable_tests pytest
+
+python_configure_all() {
+       local myconf=()
+       if use opengl; then
+               myconf+=(--cl-enable-gl)
+       fi
+
+       "${EPYTHON}" configure.py \
+               "${myconf[@]}"
+}
+
+python_test() {
+       # Use dev-libs/pocl for testing; ignore any other OpenCL devices that 
might be present
+       local -x PYOPENCL_TEST="portable:pthread"
+       # Set the number of threads to match MAKEOPTS
+       local -x POCL_MAX_PTHREAD_COUNT=$(makeopts_jobs)
+       # Change to the 'test' directory so that python does not try to import 
pyopencl from the source directory
+       # (Importing from the source directory fails, because the compiled 
'_cl' module is only in the build directory)
+       pushd test >/dev/null || die
+       epytest
+       popd >/dev/null || die
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to